error messages with wp-edit plugin

Hi,

Using the free version of wp-edit plugin
Only one of the subsites gets error messages:

Warning: Invalid argument supplied for foreach() in /public/sites/www.mysite.com/wp-content/plugins/wp-edit/main.php on line 506

Warning: Invalid argument supplied for foreach() in /public/sites/www.mysite.com/wp-content/plugins/wp-edit/main.php on line 515

also for line 2846 and 392 as far as I can see.

How can I get ride of the error messages?